Bug 89225 - Incorrect assumption of vsnprintf() behavior in RPM 4.0.4
Summary: Incorrect assumption of vsnprintf() behavior in RPM 4.0.4
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: sparc Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-21 14:15 UTC by The Written Word
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 19:48:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use vsnprintf() replacement functions from trio library if vsnprintf() not C99 compliant (2.48 KB, patch)
2003-04-21 14:16 UTC, The Written Word
no flags Details | Diff

Description The Written Word 2003-04-21 14:15:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
RPM 4.0.4 incorrectly assumes C99 vsnprintf() behavior. This breaks
RPM on IRIX 6.5, Solaris 2.5.1, and Tru64 UNIX. The patch below fixes
this. This patch uses the trio *snprintf() replacement functions from:
  http://ctrio.sourceforge.net
and assumes the trio source files are in rpmio/ (not included in this
patch).

The AC_FUNC_VSNPRINTF_C99 macro was stolen from glib 2.2.1.

Without this patch, -q --scripts is essentially broken on the above
platforms.


Version-Release number of selected component (if applicable):
4.0.4

How reproducible:
Sometimes

Steps to Reproduce:
N/A    

Additional info:

Comment 1 The Written Word 2003-04-21 14:16:34 UTC
Created attachment 91201 [details]
Use vsnprintf() replacement functions from trio library if vsnprintf() not C99 compliant

Comment 2 Paul Nasrat 2005-09-29 19:48:33 UTC
Patches for rpm porting to non linux platforms should be done at rpm-devel 

https://lists.dulug.duke.edu/mailman/listinfo/rpm-devel


Note You need to log in before you can comment on or make changes to this bug.